Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XSLFRenderingHint

    java.lang.Object
      java.awt.RenderingHints.Key
          org.apache.poi.xslf.usermodel.XSLFRenderingHint

    public class XSLFRenderingHint

extends java.awt.RenderingHints.Key

Author:
  Yegor Kozlov

Field Summary
`static XSLFRenderingHint` | `FONT_HANDLER` Use this object to resolve unknown / missing fonts when rendering slides
`static XSLFRenderingHint` | `GRESTORE`
`static XSLFRenderingHint` | `GSAVE`
`static XSLFRenderingHint` | `IMAGE_RENDERER` Use a custom image rendener
`static int` | `TEXT_AS_CHARACTERS` draw text via `Graphics2D.drawString(java.text.AttributedCharacterIterator, float, float)`
`static int` | `TEXT_AS_SHAPES` draw text via `TextLayout.draw(java.awt.Graphics2D, float, float)`
`static XSLFRenderingHint` | `TEXT_RENDERING_MODE` how to render text: `TEXT_AS_CHARACTERS` (default) means to draw via `Graphics2D.drawString(java.text.AttributedCharacterIterator, float, float)`.

Constructor Summary
`XSLFRenderingHint(int i)`

Method Summary
`boolean` | `isCompatibleValue(java.lang.Object val)`

Methods inherited from class java.awt.RenderingHints.Key
`equals, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GSAVE

    public static final XSLFRenderingHint GSAVE

### GRESTORE

    public static final XSLFRenderingHint GRESTORE

### IMAGE_RENDERER

    public static final XSLFRenderingHint IMAGE_RENDERER

  Use a custom image rendener

  See Also:
    `XSLFImageRenderer`

### TEXT_RENDERING_MODE

    public static final XSLFRenderingHint TEXT_RENDERING_MODE

  how to render text: `TEXT_AS_CHARACTERS` (default) means to draw via `Graphics2D.drawString(java.text.AttributedCharacterIterator, float, float)`. This mode draws text as characters. Use it if the target graphics writes the actual character codes instead of glyph outlines (PDFGraphics2D, SVGGraphics2D, etc.) `TEXT_AS_SHAPES` means to render via `TextLayout.draw(java.awt.Graphics2D, float, float)`. This mode draws glyphs as shapes and provides some advanced capabilities such as justification and font substitution. Use it if the target graphics is an image.

### TEXT_AS_CHARACTERS

    public static final int TEXT_AS_CHARACTERS

  draw text via `Graphics2D.drawString(java.text.AttributedCharacterIterator, float, float)`

  See Also:
    Constant Field Values

### TEXT_AS_SHAPES

    public static final int TEXT_AS_SHAPES

  draw text via `TextLayout.draw(java.awt.Graphics2D, float, float)`

  See Also:
    Constant Field Values

### FONT_HANDLER

    public static final XSLFRenderingHint FONT_HANDLER

  Use this object to resolve unknown / missing fonts when rendering slides

Constructor Detail

### XSLFRenderingHint

    public XSLFRenderingHint(int i)

Method Detail

### isCompatibleValue

    public boolean isCompatibleValue(java.lang.Object val)

  Specified by:
    `isCompatibleValue` in class `java.awt.RenderingHints.Key`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD